Package csb :: Package io :: Module plots :: Class WxBackendImpl

[frames] | no frames]

# Class WxBackendImpl

source code

            object --+
                     |
    threading._Verbose --+
                         |
          threading.Thread --+
                             |
                       Backend --+
                                 |
                                WxBackendImpl

WxPython Backend implementor.

Note: not meant to be instantiated directly, use Backend.get instead.

Nested Classes
Inherited from `Backend`: `__metaclass__`

Instance Methods

__init__(self) This constructor should always be called with keyword arguments. | source code

Inherited from `Backend`: `__del__`, `add`, `client_disposed`, `destroy`, `hide`, `invoke`, `resize`, `run`, `show`, `start`, `stop`

Inherited from `threading.Thread`: `__repr__`, `getName`, `isAlive`, `isDaemon`, `is_alive`, `join`, `setDaemon`, `setName`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `Backend`: `get`, `query`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `Backend`: `running`, `started` Inherited from `threading.Thread`: `daemon`, `ident`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

This constructor should always be called with keyword arguments. Arguments are:

*group* should be None; reserved for future extension when a ThreadGroup class is implemented.

*target* is the callable object to be invoked by the run() method. Defaults to None, meaning nothing is called.

*name* is the thread name. By default, a unique name is constructed of the form "Thread-N" where N is a small decimal number.

*args* is the argument tuple for the target invocation. Defaults to ().

*kwargs* is a dictionary of keyword arguments for the target invocation. Defaults to {}.

If a subclass overrides the constructor, it must make sure to invoke the base class constructor (Thread.__init__()) before doing anything else to the thread.

Overrides: object.__init__
  (inherited documentation)